-- MySQL Script generated by MySQL Workbench
-- Wed Mar 29 15:59:23 2023
-- Model: New Model    Version: 1.0
-- MySQL Workbench Forward Engineering

SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0;
SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0;
SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='ONLY_FULL_GROUP_BY,STRICT_TRANS_TABLES,NO_ZERO_IN_DATE,NO_ZERO_DATE,ERROR_FOR_DIVISION_BY_ZERO,NO_ENGINE_SUBSTITUTION';

-- -----------------------------------------------------
-- Schema mydb
-- -----------------------------------------------------

-- -----------------------------------------------------
-- Schema mydb
-- -----------------------------------------------------
CREATE SCHEMA IF NOT EXISTS `mydb` DEFAULT CHARACTER SET utf8 ;
USE `mydb` ;

-- -----------------------------------------------------
-- Table `mydb`.`Endereco`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `mydb`.`Endereco` (
  `idEndereco` INT NOT NULL,
  `cep` VARCHAR(45) NOT NULL,
  `estado` VARCHAR(45) NOT NULL,
  `cidade` VARCHAR(100) NOT NULL,
  `endereco` VARCHAR(200) NOT NULL,
  `complemento` VARCHAR(45) NULL,
  `numero` INT NULL,
  PRIMARY KEY (`idEndereco`),
  UNIQUE INDEX `idEndereco_UNIQUE` (`idEndereco` ASC) VISIBLE)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `mydb`.`Cliente`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `mydb`.`Cliente` (
  `idCliente` INT NOT NULL,
  `cpf` VARCHAR(45) NOT NULL,
  `telefone` VARCHAR(45) NOT NULL,
  `email` VARCHAR(45) NOT NULL,
  `dataNascimento` DATETIME NULL,
  `nome` VARCHAR(45) NOT NULL,
  `sobrenome` VARCHAR(45) NOT NULL,
  `Endereco_idEndereco` INT NOT NULL,
  PRIMARY KEY (`idCliente`),
  UNIQUE INDEX `cpf_UNIQUE` (`cpf` ASC) VISIBLE,
  UNIQUE INDEX `idCliente_UNIQUE` (`idCliente` ASC) VISIBLE,
  UNIQUE INDEX `email_UNIQUE` (`email` ASC) VISIBLE,
  INDEX `fk_Cliente_Endereco1_idx` (`Endereco_idEndereco` ASC) VISIBLE,
  CONSTRAINT `fk_Cliente_Endereco1`
    FOREIGN KEY (`Endereco_idEndereco`)
    REFERENCES `mydb`.`Endereco` (`idEndereco`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `mydb`.`Gerente`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `mydb`.`Gerente` (
  `idGerente` INT NOT NULL,
  `cnpj` VARCHAR(45) NOT NULL,
  `empresa` VARCHAR(45) NOT NULL,
  `email` VARCHAR(45) NOT NULL,
  `Endereco_idEndereco` INT NOT NULL,
  PRIMARY KEY (`idGerente`),
  UNIQUE INDEX `cnpj_UNIQUE` (`cnpj` ASC) VISIBLE,
  UNIQUE INDEX `idGerente_UNIQUE` (`idGerente` ASC) VISIBLE,
  UNIQUE INDEX `email_UNIQUE` (`email` ASC) VISIBLE,
  INDEX `fk_Gerente_Endereco1_idx` (`Endereco_idEndereco` ASC) VISIBLE,
  CONSTRAINT `fk_Gerente_Endereco1`
    FOREIGN KEY (`Endereco_idEndereco`)
    REFERENCES `mydb`.`Endereco` (`idEndereco`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `mydb`.`Login`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `mydb`.`Login` (
  `idLogin` INT NOT NULL,
  `login` VARCHAR(45) NOT NULL,
  `senha` VARCHAR(45) NOT NULL,
  `Cliente_idCliente` INT NOT NULL,
  `Gerente_idGerente` INT NOT NULL,
  PRIMARY KEY (`idLogin`),
  UNIQUE INDEX `login_UNIQUE` (`login` ASC) VISIBLE,
  UNIQUE INDEX `idLogin_UNIQUE` (`idLogin` ASC) VISIBLE,
  INDEX `fk_Login_Cliente_idx` (`Cliente_idCliente` ASC) VISIBLE,
  INDEX `fk_Login_Gerente1_idx` (`Gerente_idGerente` ASC) VISIBLE,
  CONSTRAINT `fk_Login_Cliente`
    FOREIGN KEY (`Cliente_idCliente`)
    REFERENCES `mydb`.`Cliente` (`idCliente`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_Login_Gerente1`
    FOREIGN KEY (`Gerente_idGerente`)
    REFERENCES `mydb`.`Gerente` (`idGerente`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `mydb`.`Terceirizado`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `mydb`.`Terceirizado` (
  `idTerceirizado` INT NOT NULL,
  `cnpj` VARCHAR(45) NOT NULL,
  `empresa` VARCHAR(100) NOT NULL,
  `email` VARCHAR(45) NOT NULL,
  `telefone` VARCHAR(45) NULL,
  `Endereco_idEndereco` INT NOT NULL,
  PRIMARY KEY (`idTerceirizado`),
  UNIQUE INDEX `idTerceirizado_UNIQUE` (`idTerceirizado` ASC) VISIBLE,
  UNIQUE INDEX `cnpj_UNIQUE` (`cnpj` ASC) VISIBLE,
  INDEX `fk_Terceirizado_Endereco1_idx` (`Endereco_idEndereco` ASC) VISIBLE,
  CONSTRAINT `fk_Terceirizado_Endereco1`
    FOREIGN KEY (`Endereco_idEndereco`)
    REFERENCES `mydb`.`Endereco` (`idEndereco`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `mydb`.`PrestacaoDeServicoaaaaaaa`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `mydb`.`PrestacaoDeServicoaaaaaaa` (
  `idPrestacaoDeServico` INT NOT NULL,
  `status` INT NULL,
  `dataProcedimento` DATETIME NULL,
  `comentario` VARCHAR(400) NULL,
  PRIMARY KEY (`idPrestacaoDeServico`),
  UNIQUE INDEX `idPrestacaoDeServico_UNIQUE` (`idPrestacaoDeServico` ASC) VISIBLE,
  UNIQUE INDEX `status_UNIQUE` (`status` ASC) VISIBLE)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `mydb`.`TipoConteiner`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `mydb`.`TipoConteiner` (
  `idTipoConteiner` INT NOT NULL,
  `nome` VARCHAR(100) NOT NULL,
  `largura` DOUBLE NULL,
  `altura` DOUBLE NULL,
  `volume` DOUBLE NULL,
  `comprimento` DOUBLE NULL,
  `pesoMaximo` DOUBLE NULL,
  `valorDiaria` DOUBLE NULL,
  `valorMensal` DOUBLE NULL,
  PRIMARY KEY (`idTipoConteiner`),
  UNIQUE INDEX `idTipoConteiner_UNIQUE` (`idTipoConteiner` ASC) VISIBLE,
  UNIQUE INDEX `nome_UNIQUE` (`nome` ASC) VISIBLE)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `mydb`.`CategoriaConteiner`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `mydb`.`CategoriaConteiner` (
  `idCategoriaConteiner` INT NOT NULL,
  `nome` VARCHAR(45) NOT NULL,
  PRIMARY KEY (`idCategoriaConteiner`),
  UNIQUE INDEX `idCategoriaConteiner_UNIQUE` (`idCategoriaConteiner` ASC) VISIBLE,
  UNIQUE INDEX `nome_UNIQUE` (`nome` ASC) VISIBLE)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `mydb`.`Conteiner`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `mydb`.`Conteiner` (
  `idConteiner` INT NOT NULL,
  `codigo` INT NULL,
  `anoFabricacao` DATETIME NULL,
  `material` VARCHAR(100) NULL,
  `cor` VARCHAR(45) NULL,
  `disponivel` TINYINT NULL,
  `TipoConteiner_idTipoConteiner` INT NOT NULL,
  `CategoriaConteiner_idCategoriaConteiner` INT NOT NULL,
  PRIMARY KEY (`idConteiner`),
  UNIQUE INDEX `idConteiner_UNIQUE` (`idConteiner` ASC) VISIBLE,
  INDEX `fk_Conteiner_TipoConteiner1_idx` (`TipoConteiner_idTipoConteiner` ASC) VISIBLE,
  INDEX `fk_Conteiner_CategoriaConteiner1_idx` (`CategoriaConteiner_idCategoriaConteiner` ASC) VISIBLE,
  CONSTRAINT `fk_Conteiner_TipoConteiner1`
    FOREIGN KEY (`TipoConteiner_idTipoConteiner`)
    REFERENCES `mydb`.`TipoConteiner` (`idTipoConteiner`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_Conteiner_CategoriaConteiner1`
    FOREIGN KEY (`CategoriaConteiner_idCategoriaConteiner`)
    REFERENCES `mydb`.`CategoriaConteiner` (`idCategoriaConteiner`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `mydb`.`Aluguel`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `mydb`.`Aluguel` (
  `idAluguel` INT NOT NULL,
  `dataInicio` DATETIME NULL,
  `dataDevolucao` DATETIME NULL,
  `desconto` DOUBLE NULL,
  `valorTotalAluguel` DOUBLE NULL,
  `Cliente_idCliente` INT NOT NULL,
  PRIMARY KEY (`idAluguel`),
  UNIQUE INDEX `idAluguel_UNIQUE` (`idAluguel` ASC) VISIBLE,
  INDEX `fk_Aluguel_Cliente1_idx` (`Cliente_idCliente` ASC) VISIBLE,
  CONSTRAINT `fk_Aluguel_Cliente1`
    FOREIGN KEY (`Cliente_idCliente`)
    REFERENCES `mydb`.`Cliente` (`idCliente`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `mydb`.`Aluguel_contem_Conteiner`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `mydb`.`Aluguel_contem_Conteiner` (
  `Conteiner_idConteiner` INT NOT NULL,
  `Aluguel_idAluguel` INT NOT NULL,
  PRIMARY KEY (`Conteiner_idConteiner`, `Aluguel_idAluguel`),
  INDEX `fk_Conteiner_has_Aluguel_Aluguel1_idx` (`Aluguel_idAluguel` ASC) VISIBLE,
  INDEX `fk_Conteiner_has_Aluguel_Conteiner1_idx` (`Conteiner_idConteiner` ASC) VISIBLE,
  CONSTRAINT `fk_Conteiner_has_Aluguel_Conteiner1`
    FOREIGN KEY (`Conteiner_idConteiner`)
    REFERENCES `mydb`.`Conteiner` (`idConteiner`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_Conteiner_has_Aluguel_Aluguel1`
    FOREIGN KEY (`Aluguel_idAluguel`)
    REFERENCES `mydb`.`Aluguel` (`idAluguel`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `mydb`.`Servico`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `mydb`.`Servico` (
  `idServico` INT NOT NULL,
  `nome` VARCHAR(100) NOT NULL,
  PRIMARY KEY (`idServico`),
  UNIQUE INDEX `idServico_UNIQUE` (`idServico` ASC) VISIBLE,
  UNIQUE INDEX `nome_UNIQUE` (`nome` ASC) VISIBLE)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `mydb`.`PrestacaoDeServico`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `mydb`.`PrestacaoDeServico` (
  `Terceirizado_idTerceirizado` INT NOT NULL,
  `Conteiner_idConteiner` INT NOT NULL,
  `status` INT NULL,
  `dataProcedimento` DATETIME NULL,
  `comentario` VARCHAR(500) NULL,
  `Servico_idServico` INT NOT NULL,
  PRIMARY KEY (`Terceirizado_idTerceirizado`, `Conteiner_idConteiner`, `Servico_idServico`),
  INDEX `fk_Terceirizado_has_Conteiner_Conteiner1_idx` (`Conteiner_idConteiner` ASC) VISIBLE,
  INDEX `fk_Terceirizado_has_Conteiner_Terceirizado1_idx` (`Terceirizado_idTerceirizado` ASC) VISIBLE,
  INDEX `fk_PrestacaoDeServico_Servico1_idx` (`Servico_idServico` ASC) VISIBLE,
  CONSTRAINT `fk_Terceirizado_has_Conteiner_Terceirizado1`
    FOREIGN KEY (`Terceirizado_idTerceirizado`)
    REFERENCES `mydb`.`Terceirizado` (`idTerceirizado`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_Terceirizado_has_Conteiner_Conteiner1`
    FOREIGN KEY (`Conteiner_idConteiner`)
    REFERENCES `mydb`.`Conteiner` (`idConteiner`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_PrestacaoDeServico_Servico1`
    FOREIGN KEY (`Servico_idServico`)
    REFERENCES `mydb`.`Servico` (`idServico`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `mydb`.`Terceirizado_has_Servico`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `mydb`.`Terceirizado_has_Servico` (
  `Terceirizado_idTerceirizado` INT NOT NULL,
  `Servico_idServico` INT NOT NULL,
  PRIMARY KEY (`Terceirizado_idTerceirizado`, `Servico_idServico`),
  INDEX `fk_Terceirizado_has_Servico_Servico1_idx` (`Servico_idServico` ASC) VISIBLE,
  INDEX `fk_Terceirizado_has_Servico_Terceirizado1_idx` (`Terceirizado_idTerceirizado` ASC) VISIBLE,
  CONSTRAINT `fk_Terceirizado_has_Servico_Terceirizado1`
    FOREIGN KEY (`Terceirizado_idTerceirizado`)
    REFERENCES `mydb`.`Terceirizado` (`idTerceirizado`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_Terceirizado_has_Servico_Servico1`
    FOREIGN KEY (`Servico_idServico`)
    REFERENCES `mydb`.`Servico` (`idServico`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


SET SQL_MODE=@OLD_SQL_MODE;
SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS;
SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS;
