
<h1 align="center">Polaris</h1>

<h2 align="center">About</h2>
   
<p align="left">
  The present work aims to help small companies in the management of
   container rentals, with the main purpose of increasing the automation of tasks and
   centralizing data, making the process of managing the lease by the owner easier and
   faster. The system helps in the organization of the company, grouping the types of
   containers available, their technical specifications, stock controls and lease history. In
   addition, it allows payment through PayPal in an automated way. It also allows
   customers to have access to a logged area with details and history of all their rentals.
</p>
<br>

---

<h2 align="center">Preview</h2><br>

<p align="center">
   <img src="./polaris/src/assets/images/readme/notebook.png" width="600px" alt="Polaris"/>
</p>

<p align="center">
   <img src="./polaris/src/assets/images/readme/tablet.png" width="600px" alt="Polaris"/>
</p>

<p align="center">
   <img src="./polaris/src/assets/images/readme/smartphone.png" width="600px" alt="Polaris"/>
</p>

<p align="center">
   <img src="./polaris/src/assets/images/readme/tela-inicial-carrossel.gif" width="600px" alt="Polaris"/>
</p>

---


<h2 align="center">Technologies</h2>

- [Angular](https://v13.angular.io/docs)
- [C#](https://learn.microsoft.com/pt-br/dotnet/csharp/)
- [.NET](https://learn.microsoft.com/pt-br/dotnet/)
- [MySQL](https://dev.mysql.com/doc/refman/8.0/en/)

---

<h2 align="center">How to Run</h2>

   ### Front-End
   ```
   - Clone this repository:
   $ git clone https://github.com/leclm/polaris.git

   or if you have an SSH key
   $ git clone git@github.com:leclm/polaris.git

   - Enter in directory:
   $ cd polaris/src

   - Run
   $ npm install
   $ ng serve

   - Open your browser in:
   http://localhost:4200/
   ```
   
   ### Back-End
   ```
   - Create Alias using PowerShell for "run-multiple-solutions.bat" file found inside back-end directory
   
   $ Set-Alias run-solutions C:\caminho\para\run-multiple-solutions.bat
   $run-solutions
   
   - That will run all projects solution files
   
   ```
--- 

<h2 align="center">How to Reach Us</h2>

>This project was developed by **[@Katiana Zeitz](https://github.com/katianaz)**, **[@Letícia Lima](https://www.linkedin.com/in/leticiachagaslima/)** and **[@Robson Oliveira](https://github.com/r94oliveira)**.

<div align="center">

[![Linkedin Badge](https://img.shields.io/badge/-Katiana%20Zeitz-292929?style=flat-square&logo=Linkedin&logoColor=white&link=https://www.linkedin.com/in/katiana/)](https://www.linkedin.com/in/katianazeitz/)
[![Linkedin Badge](https://img.shields.io/badge/-Let%C3%ADcia%20Lima-292929?style=flat-square&logo=Linkedin&logoColor=white&link=https://www.linkedin.com/in/leticiachagaslima/)](https://www.linkedin.com/in/leticiachagaslima/)
[![Linkedin Badge](https://img.shields.io/badge/-Robson%20Oliveira-292929?style=flat-square&logo=Linkedin&logoColor=white&link=https://www.linkedin.com/in/r94oliveira/)](https://www.linkedin.com/in/r94oliveira/)

</div>
